.booking {
    padding: 15rem 0;

    background-image: linear-gradient(to right bottom, $color-primary-light, $color-primary-dark);

    @include respond-to ('tablet-landscape') {
        padding: 15rem 3rem;
    }

    @include respond-to ('tablet-portrait') {
        padding: 10rem 3rem;
    }

    @include respond-to ('mobile') {
        padding: 5rem 3vw;
    }

    &__heading {
        margin-bottom: 4rem;
    }

    &__wrapper {
        border-radius: 3px;
        box-shadow: 0 1.5rem 4rem rgba($color-black, .2);

        background-image:
            linear-gradient(105deg,
                rgba($color-white, .9) 0%,
                rgba($color-white, .9) 50%,
                transparent 50%
            ),
            image-set(
                url('./../img/nat-4.jpg') 1x,
                url('./../img/nat-4.jpg') 2x,
                url('./../img/nat-4.jpg') 3x
            );

        background-repeat: no-repeat;
        background-size: cover;

        @include respond-to ('tablet-landscape') {
            background-image:
                linear-gradient(105deg,
                    rgba($color-white, .9) 0%,
                    rgba($color-white, .9) 70%,
                    transparent 70%
                ),
                image-set(
                    url('./../img/nat-4.jpg') 1x,
                    url('./../img/nat-4.jpg') 2x,
                    url('./../img/nat-4.jpg') 3x
                );
        }

        @include respond-to ('mobile') {
            padding: 0;

            background-image:
                linear-gradient(to right,
                    rgba($color-white, .9) 0%,
                    rgba($color-white, .9) 100%,
                    transparent 100%
                ),
                image-set(
                    url('./../img/nat-4.jpg') 1x,
                    url('./../img/nat-4.jpg') 2x,
                    url('./../img/nat-4.jpg') 3x
                );
        }
    }

    &__form {
        width: 50%;
        padding: 6rem;

        @include respond-to ('tablet-landscape') {
            width: 75%;
            padding: 3rem;
        }

        @include respond-to ('mobile') {
            width: 100%;
        }
    }
}
